## GstBtEnvelopeAD GstBtEnvelopeAD — attack-decay envelope generator |

## Functions

GstBtEnvelopeAD * | gstbt_envelope_ad_new ()
void | gstbt_envelope_ad_setup ()

## Properties

gdouble | attack | Read / Write
gdouble | decay | Read / Write
gdouble | floor-level | Read / Write
gdouble | peak-level | Read / Write

## Types and Values

struct | GstBtEnvelopeAD

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstControlSource
                    ╰── GstTimedValueControlSource
                        ╰── GstInterpolationControlSource
                            ╰── GstBtEnvelope
                                ╰── GstBtEnvelopeAD

## Includes

    #include <libgstbuzztrax/envelope-ad.h>

## Description

Simple attack-decay envelope. The total time for the envelope is the “decay” value. If the “attack” value is larger than the “decay” value, it will be clamped.

## Functions

### gstbt_envelope_ad_new ()

    GstBtEnvelopeAD *
    gstbt_envelope_ad_new (void);

Create a new instance

#### Returns

the new instance or `NULL` in case of an error

### gstbt_envelope_ad_setup ()

    void
    gstbt_envelope_ad_setup (GstBtEnvelopeAD *self,
                             gint samplerate);

Initialize the envelope for a new cycle.

#### Parameters

self | the envelope |
samplerate | the audio sampling rate |

## Types and Values

### struct GstBtEnvelopeAD

    struct GstBtEnvelopeAD;

Class instance data.

## Property Details

### The `“attack”` property

      “attack”                   gdouble

Attack of the envelope in seconds.

Flags: Read / Write

Allowed values: [0.001,4]

Default value: 0.001

### The `“decay”` property

      “decay”                    gdouble

Decay of the envelope in seconds.

Flags: Read / Write

Allowed values: [0.001,4]

Default value: 0.5

### The `“floor-level”` property

      “floor-level”              gdouble

Lowest level of the envelope.

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“peak-level”` property

      “peak-level”               gdouble

Highest level of the envelope.

Flags: Read / Write

Allowed values: >= 0

Default value: 1.79769e+308